crypton-x509-store-1.6.12: X.509 collection accessing and storing methods

Safe Haskell | None
Language | Haskell2010

Data.X509.File

Synopsis

- readSignedObject :: (ASN1Object a, Eq a, Show a) => FilePath -> IO [SignedExact a]
- readKeyFile :: FilePath -> IO [PrivKey]
- newtype PEMError = PEMError {
  - displayPEMError :: String
  }

# Documentation

readSignedObject :: (ASN1Object a, Eq a, Show a) => FilePath -> IO [SignedExact a] Source #

return all the signed objects in a file.

(only one type at a time).

readKeyFile :: FilePath -> IO [PrivKey] Source #

return all the private keys that were successfully read from a file.

newtype PEMError Source #

Constructors

PEMError |

Fields

- displayPEMError :: String

#### Instances

Instances details

Exception PEMError Source # |
Instance details Defined in Data.X509.File Methods toException :: PEMError -> SomeException Source # fromException :: SomeException -> Maybe PEMError Source # displayException :: PEMError -> String Source # backtraceDesired :: PEMError -> Bool Source #
Show PEMError Source # |
Instance details Defined in Data.X509.File Methods showsPrec :: Int -> PEMError -> ShowS Source # show :: PEMError -> String Source # showList :: [PEMError] -> ShowS Source #